﻿namespace Jsl.FxCop
{
    /// <summary>
    /// Well known .Net type names as string constants.
    /// </summary>
    public static class WellKnownTypeNames
    {
        /// <summary>The <c>System.Runtime.CompilerServices.AccessedThroughPropertyAttribute</c> class name.</summary>
        public const string AccessedThroughPropertyAttribute = "System.Runtime.CompilerServices.AccessedThroughPropertyAttribute";

        /// <summary>The <c>System.IO.BinaryWriter</c> class name.</summary>
        public const string BinaryWriter = "System.IO.BinaryWriter";

        /// <summary>The <c>System.Boolean</c> class name.</summary>
        public const string Boolean = "System.Boolean";

        /// <summary>The <c>System.ComponentModel.BrowsableAttribute</c> class name.</summary>
        public const string BrowsableAttribute = "System.ComponentModel.BrowsableAttribute";

        /// <summary>The <c>System.Windows.Forms.CheckedListBox</c> class name.</summary>
        public const string CheckedListBox = "System.Windows.Forms.CheckedListBox";

        /// <summary>The <c>System.Windows.Forms.ComboBox</c> class name.</summary>
        public const string ComboBox = "System.Windows.Forms.ComboBox";

        /// <summary>The <c>System.ComponentModel.Component</c> class name.</summary>
        public const string Component = "System.ComponentModel.Component";

        /// <summary>The <c>System.ComponentModel.ComponentResourceManager</c> class name.</summary>
        public const string ComponentResourceManager = "System.ComponentModel.ComponentResourceManager";

        /// <summary>The <c>System.Console</c> class name.</summary>
        public const string Console = "System.Console";

        /// <summary>The <c>System.ComponentModel.Container</c> class name.</summary>
        public const string Container = "System.ComponentModel.Container";

        /// <summary>The <c>System.ComponentModel.Container.Dispose</c> class name.</summary>
        public const string ContainerDispose = "System.ComponentModel.Container.Dispose";

        /// <summary>The <c>System.Windows.Forms.Control</c> class name.</summary>
        public const string Control = "System.Windows.Forms.Control";

        /// <summary>The <c>System.Windows.Forms.Control+ControlCollection</c> class name.</summary>
        public const string ControlCollection = "System.Windows.Forms.Control+ControlCollection";

        /// <summary>The <c>System.Windows.Forms.DataGrid</c> class name.</summary>
        public const string DataGrid = "System.Windows.Forms.DataGrid";

        /// <summary>The <c>System.Windows.Forms.DateTimePicker</c> class name.</summary>
        public const string DateTimePicker = "System.Windows.Forms.DateTimePicker";

        /// <summary>The <c>System.ComponentModel.DesignerSerializationVisibilityAttribute</c> class name.</summary>
        public const string DesignerSerializationVisibilityAttribute = "System.ComponentModel.DesignerSerializationVisibilityAttribute";

        /// <summary>The <c>System.Enum</c> class name.</summary>
        public const string Enum = "System.Enum";

        /// <summary>The <c>System.ComponentModel.EventHandlerList</c> class name.</summary>
        public const string EventHandlerList = "System.ComponentModel.EventHandlerList";

        /// <summary>The <c>System.Drawing.Font</c> class name.</summary>
        public const string Font = "System.Drawing.Font";

        /// <summary>The <c>System.Windows.Forms.Form</c> class name.</summary>
        public const string Form = "System.Windows.Forms.Form";

        /// <summary>The <c>System.CodeDom.Compiler.GeneratedCodeAttribute</c> class name.</summary>
        public const string GeneratedCodeAttribute = "System.CodeDom.Compiler.GeneratedCodeAttribute";

        /// <summary>The <c>System.ComponentModel.IContainer</c> class name.</summary>
        public const string IContainer = "System.ComponentModel.IContainer";

        /// <summary>The <c>System.IDisposable.Dispose</c> class name.</summary>
        public const string IDisposableDispose = "System.IDisposable.Dispose";

        /// <summary>The <c>System.Int32</c> class name.</summary>
        public const string Int32 = "System.Int32";

        /// <summary>The <c>System.Windows.Forms.Label</c> class name.</summary>
        public const string Label = "System.Windows.Forms.Label";

        /// <summary>The <c>System.Windows.Forms.ListBox</c> class name.</summary>
        public const string ListBox = "System.Windows.Forms.ListBox";

        /// <summary>The <c>System.Windows.Forms.ListView</c> class name.</summary>
        public const string ListView = "System.Windows.Forms.ListView";

        /// <summary>The <c>System.Windows.Forms.MaskedTextBox</c> class name.</summary>
        public const string MaskedTextBox = "System.Windows.Forms.MaskedTextBox";

        /// <summary>The <c>System.Object</c> class name.</summary>
        public const string Object = "System.Object";

        /// <summary>The <c>System.Drawing.Point</c> class name.</summary>
        public const string Point = "System.Drawing.Point";

        /// <summary>The <c>System.Windows.Forms.RichTextBox</c> class name.</summary>
        public const string RichTextBox = "System.Windows.Forms.RichTextBox";

        /// <summary>The <c>System.Single</c> class name.</summary>
        public const string Single = "System.Single";

        /// <summary>The <c>System.Drawing.Size</c> class name.</summary>
        public const string Size = "System.Drawing.Size";

        /// <summary>The <c>System.Drawing.SizeF</c> class name.</summary>
        public const string SizeF = "System.Drawing.SizeF";

        /// <summary>The <c>System.IO.StreamWriter</c> class name.</summary>
        public const string StreamWriter = "System.IO.StreamWriter";

        /// <summary>The <c>System.String</c> class name.</summary>
        public const string String = "System.String";

        /// <summary>The <c>System.Text.StringBuilder</c> class name.</summary>
        public const string StringBuilder = "System.Text.StringBuilder";

        /// <summary>The <c>System.IO.StringWriter</c> class name.</summary>
        public const string StringWriter = "System.IO.StringWriter";

        /// <summary>The <c>System.Windows.Forms.TableLayoutPanel</c> class name.</summary>
        public const string TableLayoutPanel = "System.Windows.Forms.TableLayoutPanel";

        /// <summary>The <c>System.Windows.Forms.TableLayoutControlCollection</c> class name.</summary>
        public const string TableLayoutControlCollection = "System.Windows.Forms.TableLayoutControlCollection";

        /// <summary>The <c>System.Windows.Forms.TextBox</c> class name.</summary>
        public const string TextBox = "System.Windows.Forms.TextBox";

        /// <summary>The <c>System.Windows.Forms.TreeView</c> class name.</summary>
        public const string TreeView = "System.Windows.Forms.TreeView";

        /// <summary>The <c>System.IO.TextWriter</c> class name.</summary>
        public const string TextWriter = "System.IO.TextWriter";

        /// <summary>The <c>System.Type</c> class name.</summary>
        public const string Type = "System.Type";

        /// <summary>The <c>System.Windows.Forms.UserControl</c> class name.</summary>
        public const string UserControl = "System.Windows.Forms.UserControl";
    }
}